
<mat-card
  class="flex-card-300"
  (keyup.esc)="cancelClick.emit()">
  <span>Create Annotation</span>
  <mat-card-content>
    <form
      [formGroup]="formGroup"
      (keyup.enter)="saveAnnotationClick()">
      <mat-form-field
        class="width-100"
        appearance="outline">
        <mat-label>Title</mat-label>
        <input
          data-cy="annotation-creation-title"
          [errorStateMatcher]="matcher"
          #inputAutoFocus
          matInput
          placeholder="Title"
          floatLabel="always"
          [formControl]="title"
          required>
          <mat-hint *ngIf="annotationCharacterConfig">{{annotationCharacterConfig.name - title.value.length}} characters left</mat-hint>
          <mat-error *ngIf="title.errors">{{getErrors(title, 'title')}}</mat-error>
      </mat-form-field>
      <mat-form-field
        class="width-100"
        appearance="outline">
        <mat-label>Description</mat-label>
        <textarea
          [errorStateMatcher]="matcher"
          matInput
          placeholder="Description"
          floatLabel="always"
          [formControl]="description">
        </textarea>
        <mat-hint *ngIf="annotationCharacterConfig">{{annotationCharacterConfig.description - description.value.length}} characters left</mat-hint>
        <mat-error *ngIf="description.errors">{{getErrors(description, 'description')}}</mat-error>
      </mat-form-field>
      <!-- <mat-error style="height: 1em;">
        <div>{{registerResult|async}}</div>
      </mat-error> -->
      <span class="action-button-container">
        <button
          class="action-button"
          mat-stroked-button
          type="button"
          (click)="cancelClick.emit()">
          Cancel
        </button>
        <button
          data-cy="annotation-save-button"
          class="action-button"
          mat-flat-button
          style="margin-left: 8px;"
          color="accent"
          (click)="saveAnnotationClick()"
          [disabled]="!formGroup?.valid">
          Save
        </button>
      </span>
    </form>
  </mat-card-content>
</mat-card>
